var imtoiClient = function(window,$){
    'use script';
    /**
     * 触屏点击事件,touchstart  改变背景颜色
     * @param note String   触发事件节点类
     * @param active String  节点选中类
     * @param type int  1:颜色的渐变    2:透明度的变化
     */
    var touchChange = function(options){
        var touch_note      = '.touch',
            touch_active    = 'active',
            touch_bg_color  = '#d9d9d9';

        if( typeof options == 'undefined')
            options = {};

        if (options.touch_note)
            touch_note      = options.touch_note;
        if (options.touch_active)
            touch_active    = options.touch_active;
        if (options.touch_bg_color)
            touch_bg_color  = options.touch_bg_color;

        var css =   '<style>\
                        .touch {\
                            background-color: #fff;\
                            transition-duration: 10ms;\
                        }\
                        .touch.active {\
                            background-color: '+touch_bg_color+';\
                            transition-duration: 0ms;\
                        }\
                    </style>',//css样式
            touch_time_out; //延迟运行对象
        //将css插入head结束标签之后
        $('head').append(css);
        //解绑事件
        $('body').undelegate(touch_note,'touchstart');
        $('body').undelegate(touch_note,'touchmove');
        $('body').undelegate(touch_note,'touchend');

        $('body').delegate(touch_note, 'touchstart', function(e) {
            var _this = $(this);
            touch_time_out = setTimeout(function() {
                _this.addClass(touch_active);
            }, 100);
        });

        $('body').delegate(touch_note, 'touchmove', function(e) {
            clearTimeout(touch_time_out);
            $(touch_note).removeClass(touch_active);
        });

        $('body').delegate(touch_note, 'touchend', function(e) {
            clearTimeout(touch_time_out);
            $(touch_note).removeClass(touch_active);
        });
    };
    return {
        touchChange: function(options) {
            touchChange(options);
        }
    };


}(window,$);